EDIT - bug #5888

Deleting factual data does not work (dirty flag not set)
06/14/2016 01:25 PM - Patrick Plitzner

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:30 hour
Target version: Release 4.4

Severity: normal Found in Version:

Description

1. Open any taxon
2. Add any description element
3. Save

4, Delete the element

5. The dirty flag is not set so it is not possible to save (the deletion is only saved if you force the dirty flag in some other way)

Related issues:
Has duplicate EDIT - bug #6046: Save button not enabled after factual data de...

Duplicate

Associated revisions

Revision a3e69a37 - 10/07/2016 03:03 PM - Katja Luther

fix #5888: add the element as argument to postExecute method s

History

#1 - 09/02/2016 02:41 PM - Andreas Miiller
- Has duplicate bug #6046: Save button not enabled after factual data delete added

#2 - 09/02/2016 02:41 PM - Andreas Miiller
- Description updated

- Priority changed from New to Highest

#3 - 10/05/2016 11:40 AM - Andreas Miiller
- Target version changed from Unassigned CDM tickets to Release 4.4

- Estimated time set to 0:30 h

#4 - 10/07/2016 03:04 PM - Katja Luther
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset taxeditor:commit:taxeditor|a3e69a37383c07c575a7592¢1093f68dcc6e830a.

#5 - 10/07/2016 03:08 PM - Katja Luther

- Assignee changed from Katja Luther to Andreas Miiller

the description needs to be passed to the postExecute method, this triggers the dirty flag.
#6 - 11/02/2016 07:09 PM - Andreas Miiller
- Status changed from Resolved to Closed
- Assignee changed from Andreas Muiller to Katja Luther

- % Done changed from 50 to 100

Seems to work

#7 - 01/03/2017 02:59 PM - Andreas Miiller

- Private changed from Yes to No
